Package org.apache.batchee.tools.maven

## Class ParametersMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.batchee.tools.maven.BatchEEMojoBase
    - - org.apache.batchee.tools.maven.ParametersMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="parameters")
      public class ParametersMojo
      extends BatchEEMojoBase

  Print parameters for a particular execution.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `executionId` | the executionId to query to find parameters

    - ### Fields inherited from class org.apache.batchee.tools.maven.BatchEEMojoBase

      `operator, properties`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParametersMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |

    - ### Methods inherited from class org.apache.batchee.tools.maven.BatchEEMojoBase

      `getOrCreateOperator`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### executionId

          @Parameter(required=true,
                     property="batchee.executionId")
          protected long executionId

      the executionId to query to find parameters

  - ### Constructor Detail

    - #### ParametersMojo

          public ParametersMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`